Cloud Control

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 CloudControl 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

VersionStatusNot Before
1.1CURRENT-
1.0DEPRECATED20251231

OpenAPI URL

https://cloudcontrol.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - AddBaselineAssignment

1.1.1 - 1.1

post /v1/baseline-assignments/{assignment_id}

Description

baseline 활성화

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathassignment_id
required
루트/조직 단위/계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
stringNone
bodybody
required

BaselineAssignmentAddRequest

Responses

HTTP CodeDescriptionSchema
201CreatedBaselineAssignmentAddResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/baseline-assignments/{assignment_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "agree_yn": "Y",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "resource_type": "OU",
    "sso_user_name": "testuser",
    "sso_user_real_name": "test user"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "resource_type": "OU"
}

1.1.2 - 1.0

post /v1/baseline-assignments/{assignment_id}

Description

baseline 활성화

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathassignment_id
required
루트/조직 단위/계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
stringNone
bodybody
required

BaselineAssignmentAddRequest

Responses

HTTP CodeDescriptionSchema
201CreatedBaselineAssignmentAddResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/baseline-assignments/{assignment_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "agree_yn": "Y",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "resource_type": "OU",
    "sso_user_name": "testuser",
    "sso_user_real_name": "test user"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "resource_type": "OU"
}

1.2 - CreateAccountFactoryAccount

1.2.1 - 1.1

post /v1/accounts

Description

계정 팩토리를 사용하여 계정 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AccountFactoryCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccountFactoryCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "email": "myaccount@example.com",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "name": "foo-account",
    "parent_unit_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "sso_user_email": "user_email@example.com",
    "sso_user_name": "John Doe",
    "sso_user_real_name": "John Doe"
}

Example HTTP response

Response 201

{
    "account_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
    "job_id": "0a36e0746dbf4908acf0357829701381"
}

1.2.2 - 1.0

post /v1/accounts

Description

계정 팩토리를 사용하여 계정 생성

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AccountFactoryCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccountFactoryCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "email": "myaccount@example.com",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "name": "foo-account",
    "parent_unit_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "sso_user_email": "user_email@example.com",
    "sso_user_name": "John Doe",
    "sso_user_real_name": "John Doe"
}

Example HTTP response

Response 201

{
    "account_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
    "job_id": "0a36e0746dbf4908acf0357829701381"
}

1.3 - CreateLandingZone

1.3.1 - 1.1

post /v1/landing-zones

Description

조직 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LandingZoneCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
201CreatedLandingZoneCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/landing-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "additional_ou_name": "Sandbox",
    "agree_yn": "Y",
    "audit_account_name": "AUDIT",
    "audit_login_id": "audit@samsung.com",
    "basic_ou_name": "Security",
    "detective_guardrail_status": "ENABLED",
    "log_archive_account_name": "LOG_ARCHIVE",
    "log_archive_login_id": "log-archive@samsung.com",
    "sso_type": "ID_CENTER"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

1.3.2 - 1.0

post /v1/landing-zones

Description

조직 생성

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LandingZoneCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLandingZoneCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/landing-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "additional_ou_name": "Sandbox",
    "agree_yn": "Y",
    "audit_account_name": "AUDIT",
    "audit_login_id": "audit@samsung.com",
    "basic_ou_name": "Security",
    "log_archive_account_name": "LOG_ARCHIVE",
    "log_archive_login_id": "log-archive@samsung.com",
    "sso_type": "ID_CENTER"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

1.4 - DeleteLandingZone

1.4.1 - 1.1

delete /v1/landing-zones/{landing_zone_id}

Description

랜딩 존 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathlanding_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLandingZoneCreateResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/landing-zones/{landing_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Example HTTP response

Response 200

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

1.4.2 - 1.0

delete /v1/landing-zones/{landing_zone_id}

Description

랜딩 존 삭제

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathlanding_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLandingZoneCreateResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/landing-zones/{landing_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

1.5 - DisableGuardrailBindings

1.5.1 - 1.1

delete /v1/guardrail-bindings

Description

가드레일 비활성화

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GuardrailDisableRequest

Responses

HTTP CodeDescriptionSchema
200OKGuardrailAssignmentResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "guardrail_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "unit_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "CloudControl.AlreadyEnabledGuardrails",
            "failed_caused": "guardrail already enabled",
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "response": {},
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ],
    "success_ids": [
        {
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ]
}

1.5.2 - 1.0

delete /v1/guardrail-bindings

Description

가드레일 비활성화

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GuardrailDisableRequest

Responses

HTTP CodeDescriptionSchema
200OKGuardrailAssignmentResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "guardrail_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "unit_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "CloudControl.AlreadyEnabledGuardrails",
            "failed_caused": "guardrail already enabled",
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "response": {},
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ],
    "success_ids": [
        {
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ]
}

1.6 - EnableGuardrailBindings

1.6.1 - 1.1

post /v1/guardrail-bindings

Description

가드레일 활성화

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GuardrailEnableRequest

Responses

HTTP CodeDescriptionSchema
200OKGuardrailAssignmentResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "guardrail_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "unit_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "CloudControl.AlreadyEnabledGuardrails",
            "failed_caused": "guardrail already enabled",
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "response": {},
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ],
    "success_ids": [
        {
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ]
}

1.6.2 - 1.0

post /v1/guardrail-bindings

Description

가드레일 활성화

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GuardrailEnableRequest

Responses

HTTP CodeDescriptionSchema
200OKGuardrailAssignmentResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "guardrail_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "unit_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "CloudControl.AlreadyEnabledGuardrails",
            "failed_caused": "guardrail already enabled",
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "response": {},
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ],
    "success_ids": [
        {
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ]
}

1.7 - ListBaselineAssignments

1.7.1 - 1.1

get /v1/baseline-assignments

Description

baseline 활성화 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
queryresource_type
optional
조직 단위/ACCOUNT
Example : OU
any of [enum (OU, ACCOUNT), null]None
queryassignment_id
optional
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
any of [string, null]None
querystatus
optional
상태
Example : REGISTRATION_FAILED
any of [enum (REGISTERED, REGISTRATION_FAILED, REGISTERING, UNREGISTERING), null]None

Responses

HTTP CodeDescriptionSchema
200OKBaselineAssignmentListResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/baseline-assignments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Example HTTP response

Response 200

{
    "baseline_assignments": [
        {
            "account_assigned_count": 3,
            "account_count": 4,
            "detective_guardrail_status": "ENABLED",
            "detective_guardrail_type": "SSI",
            "id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
            "ou_assigned_count": 5,
            "ou_count": 10,
            "preventive_guardrail_activated_count": 8,
            "sso_user_name": "testuser",
            "status": "REGISTERED",
            "type": "OU"
        }
    ]
}

1.7.2 - 1.0

get /v1/baseline-assignments

Description

baseline 활성화 목록 조회

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
queryresource_type
optional
조직 단위/ACCOUNT
Example : OU
any of [enum (OU, ACCOUNT), null]None
queryassignment_id
optional
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
any of [string, null]None
querystatus
optional
상태
Example : REGISTRATION_FAILED
any of [enum (REGISTERED, REGISTRATION_FAILED, REGISTERING, UNREGISTERING), null]None

Responses

HTTP CodeDescriptionSchema
200OKBaselineAssignmentListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/baseline-assignments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "baseline_assignments": [
        {
            "account_assigned_count": 3,
            "account_count": 4,
            "id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
            "ou_assigned_count": 5,
            "ou_count": 10,
            "preventive_guardrail_activated_count": 8,
            "sso_user_name": "testuser",
            "status": "REGISTERED",
            "type": "OU"
        }
    ]
}

1.8 - ListGuardrails

1.8.1 - 1.1

get /v1/guardrails

Description

조직 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
가드레일명
Example : foo-guardrail
any of [string, null]None
queryexclude_unit_id
optional
연결된(제외) 유닛 ID
Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
any of [string, null]None
queryguidance
optional
정책 가이드
Example : MANDATORY
any of [string, null]None
queryservice_name
optional
Organization
Example : iam
any of [string, null]None
querystatus
optional
적용 상태
Example : ENABLED
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGuardrailPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrails

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "guardrails": [
        {
            "binding_ous": [],
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "description": "This is an example guardrail.",
            "guidance": "MANDATORY",
            "id": "2c8a138f8d78e1fc29a449dbfa8681",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "foo-guardrail",
            "service_name": "iam",
            "srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
            "status": "DISABLED",
            "type": "PREVENTIVE"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.8.2 - 1.0

get /v1/guardrails

Description

조직 목록 조회

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
가드레일명
Example : foo-guardrail
any of [string, null]None
queryexclude_unit_id
optional
연결된(제외) 유닛 ID
Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
any of [string, null]None
queryguidance
optional
정책 가이드
Example : MANDATORY
any of [string, null]None
queryservice_name
optional
Organization
Example : iam
any of [string, null]None
querystatus
optional
적용 상태
Example : ENABLED
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGuardrailPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrails

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "guardrails": [
        {
            "binding_ous": [],
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "description": "This is an example guardrail.",
            "guidance": "MANDATORY",
            "id": "2c8a138f8d78e1fc29a449dbfa8681",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "foo-guardrail",
            "service_name": "iam",
            "srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
            "status": "DISABLED",
            "type": "PREVENTIVE"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.9 - ListGuardrailsForTarget

1.9.1 - 1.1

get /v1/guardrail-bindings/guardrails

Description

자원에 연결된 정책 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querytarget_id
required
타겟 ID
Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
stringNone
queryname
optional
가드레일명
Example : guardrail-example
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListGuardrailsForTargetResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings/guardrails?target_id={target_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "guardrails": [
        {
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "guidance": "MANDATORY",
            "id": "0a36e0746dbf4908acf0357829701381",
            "link_types": {
                "directed": [
                    {
                        "target_id": "1a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
                        "target_name": "example-target"
                    }
                ],
                "inherited": [
                    {
                        "target_id": "2a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
                        "target_name": "root"
                    }
                ]
            },
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "foo-guardrail",
            "service_name": "iam",
            "type": "PREVENTIVE"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.9.2 - 1.0

get /v1/guardrail-bindings/guardrails

Description

자원에 연결된 정책 목록 조회

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querytarget_id
required
타겟 ID
Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
stringNone
queryname
optional
가드레일명
Example : guardrail-example
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListGuardrailsForTargetResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings/guardrails?target_id={target_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "guardrails": [
        {
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "guidance": "MANDATORY",
            "id": "0a36e0746dbf4908acf0357829701381",
            "link_types": {
                "directed": [
                    {
                        "target_id": "1a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
                        "target_name": "example-target"
                    }
                ],
                "inherited": [
                    {
                        "target_id": "2a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
                        "target_name": "root"
                    }
                ]
            },
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "foo-guardrail",
            "service_name": "iam",
            "type": "PREVENTIVE"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.10 - ListTargetsForGuardrail

1.10.1 - 1.1

get /v1/guardrail-bindings/targets

Description

정책에 연결된 자원 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryguardrail_id
required
가드레일 ID
Example : f98e76d54c32b10a9z8y7x6w5v4u3
stringNone
querytarget_type
required
타겟 유형
Example : ACCOUNT
enum (ACCOUNT, OU)None
queryname
optional
타겟명
Example : ou-test
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListTargetsForGuardrailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings/targets?guardrail_id={guardrail_id}&target_type={target_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "targets": [
        {
            "email": "score@samsung.com",
            "id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
            "name": "score-account",
            "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
            "parent_unit_name": "parent-unit-name"
        }
    ]
}

1.10.2 - 1.0

get /v1/guardrail-bindings/targets

Description

정책에 연결된 자원 목록 조회

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryguardrail_id
required
가드레일 ID
Example : f98e76d54c32b10a9z8y7x6w5v4u3
stringNone
querytarget_type
required
타겟 유형
Example : ACCOUNT
enum (ACCOUNT, OU)None
queryname
optional
타겟명
Example : ou-test
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListTargetsForGuardrailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings/targets?guardrail_id={guardrail_id}&target_type={target_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "targets": [
        {
            "email": "score@samsung.com",
            "id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
            "name": "score-account",
            "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
            "parent_unit_name": "parent-unit-name"
        }
    ]
}

1.11 - RemoveBaselineAssignment

1.11.1 - 1.1

delete /v1/baseline-assignments/{assignment_id}

Description

계정 등록 해제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathassignment_id
required
루트/조직 단위/계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
stringNone
bodybody
required

BaselineAssignmentRemoveRequest

Responses

HTTP CodeDescriptionSchema
200OKBaselineAssignmentRemoveResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/baseline-assignments/{assignment_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "resource_type": "ACCOUNT"
}

Example HTTP response

Response 200

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "resource_type": "ACCOUNT"
}

1.12 - SetLandingZone

1.12.1 - 1.1

put /v1/landing-zones/{landing_zone_id}

Description

랜딩 존 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathlanding_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone
bodybody
required

LandingZoneUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKLandingZoneCreateResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/landing-zones/{landing_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "detective_guardrail_status": "ENABLED"
}

Example HTTP response

Response 200

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

1.13 - ShowGuardrail

1.13.1 - 1.1

get /v1/guardrails/{guardrail_id}

Description

조직 상세 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathguardrail_id
required
가드레일 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGuardrailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrails/{guardrail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Example HTTP response

Response 200

{
    "guardrail": {
        "binding_ous": [],
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "description": "This is an example guardrail.",
        "guidance": "MANDATORY",
        "id": "2c8a138f8d78e1fc29a449dbfa8681",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "name": "foo-guardrail",
        "service_name": "iam",
        "srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
        "status": "DISABLED",
        "type": "PREVENTIVE"
    }
}

1.13.2 - 1.0

get /v1/guardrails/{guardrail_id}

Description

조직 상세 조회

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathguardrail_id
required
가드레일 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGuardrailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrails/{guardrail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "guardrail": {
        "binding_ous": [],
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "description": "This is an example guardrail.",
        "guidance": "MANDATORY",
        "id": "2c8a138f8d78e1fc29a449dbfa8681",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "name": "foo-guardrail",
        "service_name": "iam",
        "srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
        "status": "DISABLED",
        "type": "PREVENTIVE"
    }
}

1.14 - ShowLandingZone

1.14.1 - 1.1

get /v1/landing-zones/{landing_zone_id}

Description

랜딩 존 상세 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathlanding_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLandingZoneShowResponseV1Dot1
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/landing-zones/{landing_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Example HTTP response

Response 200

{
    "landing_zone": {
        "agree_yn": "Y",
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "detective_guardrail_status": "ENABLED",
        "id": "2c8a138f8d78e1fc29a449dbfa8681",
        "identity_center_id": "0xnw6g1xh2q5",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "region": "kr-west1",
        "service_name": "Cloud Control",
        "srn": "srn:dev2::a8a2f3c2659646ecaaf28fc8f783921a:::cloudcontrol:landingzone/f7a1ef0b17e34a37811cc2fa7a6bd50b",
        "sso_type": "ID_CENTER",
        "status": "ACTIVE",
        "version_id": "1.0"
    }
}

1.14.2 - 1.0

get /v1/landing-zones/{landing_zone_id}

Description

랜딩 존 상세 조회

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathlanding_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLandingZoneShowResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/landing-zones/{landing_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "landing_zone": {
        "agree_yn": "Y",
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "id": "2c8a138f8d78e1fc29a449dbfa8681",
        "identity_center_id": "0xnw6g1xh2q5",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "region": "kr-west1",
        "service_name": "Cloud Control",
        "srn": "srn:dev2::a8a2f3c2659646ecaaf28fc8f783921a:::cloudcontrol:landingzone/f7a1ef0b17e34a37811cc2fa7a6bd50b",
        "sso_type": "ID_CENTER",
        "status": "ACTIVE",
        "version_id": "1.0"
    }
}

1.15 - UpdateBaselineAssignment

1.15.1 - 1.1

put /v1/baseline-assignments/{assignment_id}

Description

baseline 재활성화

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathassignment_id
required
루트/조직 단위/계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
stringNone
bodybody
required

BaselineAssignmentUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKBaselineAssignmentAddResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/baseline-assignments/{assignment_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "agree_yn": "Y",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

Example HTTP response

Response 200

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "resource_type": "OU"
}

1.15.2 - 1.0

put /v1/baseline-assignments/{assignment_id}

Description

baseline 재활성화

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathassignment_id
required
루트/조직 단위/계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
stringNone
bodybody
required

BaselineAssignmentUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKBaselineAssignmentAddResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/baseline-assignments/{assignment_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "agree_yn": "Y",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

Example HTTP response

Response 200

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "resource_type": "OU"
}

2 - Models

2.1 - AccountFactoryCreateRequest

NameDescriptionSchemaDefault
email
optional
계정 이메일
Example : myaccount@example.com
any of [string, null]
landing_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
name
required
계정명
Example : foo-account
string
parent_unit_id
required
상위 조직 단위 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
string
sso_user_email
optional
ID Center 사용자 이메일
Example : user_email@example.com
any of [string, null]
sso_user_name
optional
ID Center 사용자 이름
Example : John Doe
any of [string, null]
sso_user_real_name
optional
ID Center 사용자 실명
Example : John Doe
any of [string, null]

2.2 - AccountFactoryCreateResponse

NameDescriptionSchemaDefault
account_id
required
조직 계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
string
job_id
required
ID
Example : 0a36e0746dbf4908acf0357829701381
string

2.3 - AccountsForGuardrail

NameDescriptionSchemaDefault
email
optional
계정 이메일
Example : score@samsung.com
any of [string, null]
id
required
조직 계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
string
name
optional
계정명
Example : score-account
any of [string, null]
parent_unit_id
required
ROOT 또는 부모 조직 단위 ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
string
parent_unit_name
required
ROOT 또는 부모 조직 단위명
Example : parent-unit-name
string

2.4 - BaselineAssignment

NameDescriptionSchemaDefault
account_assigned_count
optional
등록된 계정 수
Example : 3
any of [integer, null]
account_count
optional
전체 계정 수
Example : 4
any of [integer, null]
id
required
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
string
ou_assigned_count
optional
등록된 조직 단위 수
Example : 5
any of [integer, null]
ou_count
optional
전체 조직 단위 수
Example : 10
any of [integer, null]
preventive_guardrail_activated_count
optional
활성화된 예방 가드레일 수
Example : 8
any of [integer, null]
sso_user_name
optional
ID Center 사용자 이름
Example : testuser
any of [string, null]
status
optional
상태
Example : REGISTERED
any of [string, null]
type
required
조직 단위/ACCOUNT
Example : OU
string

2.5 - BaselineAssignmentAddRequest

NameDescriptionSchemaDefault
agree_yn
optional
약관 동의 여부
Example : Y
any of [enum (Y, N), null]
landing_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
parent_unit_id
optional
ROOT 또는 부모 조직 단위 ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
any of [string, null]
resource_type
required
조직 단위/ACCOUNT
Example : OU
enum (ACCOUNT, OU)
sso_user_name
optional
ID Center 사용자 이름
Example : testuser
any of [string, null]
sso_user_real_name
optional
ID Center 사용자 실명
Example : test user
any of [string, null]

2.6 - BaselineAssignmentAddResponse

NameDescriptionSchemaDefault
job_id
required
ID
Example : 0a36e0746dbf4908acf0357829701381
string
resource_id
required
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
string
resource_type
required
조직 단위/ACCOUNT
Example : OU
string

2.7 - BaselineAssignmentListResponse

NameDescriptionSchemaDefault
baseline_assignments
required

array[BaselineAssignment]

2.8 - BaselineAssignmentListResponseV1Dot1

NameDescriptionSchemaDefault
baseline_assignments
required

array[BaselineAssignmentV1Dot1]

2.9 - BaselineAssignmentRemoveRequest

NameDescriptionSchemaDefault
landing_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
resource_type
required
조직 단위/ACCOUNT
Example : ACCOUNT
enum (ACCOUNT, OU)

2.10 - BaselineAssignmentRemoveResponse

NameDescriptionSchemaDefault
job_id
required
ID
Example : 0a36e0746dbf4908acf0357829701381
string
resource_id
required
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
string
resource_type
required
조직 단위/ACCOUNT
Example : ACCOUNT
string

2.11 - BaselineAssignmentUpdateRequest

NameDescriptionSchemaDefault
agree_yn
optional
약관 동의 여부
Example : Y
any of [enum (Y, N), null]
landing_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string

2.12 - BaselineAssignmentV1Dot1

NameDescriptionSchemaDefault
account_assigned_count
optional
등록된 계정 수
Example : 3
any of [integer, null]
account_count
optional
전체 계정 수
Example : 4
any of [integer, null]
detective_guardrail_status
optional
탐지 가드레일 상태
Example : ENABLED
any of [string, null]
detective_guardrail_type
optional
탐지 가드레일 유형
Example : SSI
any of [string, null]
id
required
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
string
ou_assigned_count
optional
등록된 조직 단위 수
Example : 5
any of [integer, null]
ou_count
optional
전체 조직 단위 수
Example : 10
any of [integer, null]
preventive_guardrail_activated_count
optional
활성화된 예방 가드레일 수
Example : 8
any of [integer, null]
sso_user_name
optional
ID Center 사용자 이름
Example : testuser
any of [string, null]
status
optional
상태
Example : REGISTERED
any of [string, null]
type
required
조직 단위/ACCOUNT
Example : OU
string

2.13 - Guardrail

NameDescriptionSchemaDefault
binding_ous
optional

any of [array[GuardrailBindingOu], array[object], null]
created_at
required
생성 시간
Example : 2025-01-01T00:00:00.000Z
string (date-time)
created_by
required
생성자
Example : c23fb561c689455993874fa5d5ed4a2f
string
description
optional
가드레일 설명
Example : This is an example guardrail.
any of [string, null]
guidance
required
정책 가이드
Example : MANDATORY
string
id
required
가드레일 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
modified_at
required
수정 시간
Example : 2025-01-01T00:00:00.000Z
string (date-time)
modified_by
required
수정자
Example : c23fb561c689455993874fa5d5ed4a2f
string
name
required
가드레일명
Example : foo-guardrail
string
service_name
required
Organization
Example : iam
string
srn
optional
가드레일 SRN
Example : srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]
status
optional
적용 상태
Example : DISABLED
stringDISABLED
type
required
가드레일 유형
Example : PREVENTIVE
string

2.14 - GuardrailAssignmentDetail

NameDescriptionSchemaDefault
guardrail_id
required
가드레일 ID
Example : f98e76d54c32b10a9z8y7x6w5v4u3
string
unit_id
required
타겟 ID
Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
string

2.15 - GuardrailAssignmentFailCaused

NameDescriptionSchemaDefault
error_code
required
error code
Example : CloudControl.AlreadyEnabledGuardrails
string
failed_caused
required
실패 원인
Example : guardrail already enabled
string
guardrail_id
required
가드레일 ID
Example : f98e76d54c32b10a9z8y7x6w5v4u3
string
response
optional

Example :
any of [object, null]
unit_id
required
타겟 ID
Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
string

2.16 - GuardrailAssignmentResponse

NameDescriptionSchemaDefault
failed_ids
required

array[GuardrailAssignmentFailCaused]
success_ids
required
성공 ID
array[GuardrailAssignmentDetail]

2.17 - GuardrailBindingOu

NameDescriptionSchemaDefault
id
required
조직 단위 ID
Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
string
name
required
조직 단위명
Example : score-organization-unit
string

2.18 - GuardrailDisableRequest

NameDescriptionSchemaDefault
guardrail_ids
required
가드레일 목록 ID
Example : ['f98e76d54c32b10a9z8y7x6w5v4u3']
array[string]
landing_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]
unit_ids
required
타겟 정보
Example : ['ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5']
array[string]

2.19 - GuardrailEnableRequest

NameDescriptionSchemaDefault
guardrail_ids
required
가드레일 목록 ID
Example : ['f98e76d54c32b10a9z8y7x6w5v4u3']
array[string]
landing_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]
unit_ids
required
타겟 정보
Example : ['ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5']
array[string]

2.20 - GuardrailLinkInfo

NameDescriptionSchemaDefault
target_id
required
타겟 ID
Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
string
target_name
required
타겟명
Example : ou-test
any of [string, null]

2.21 - GuardrailPageResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
guardrails
required

array[GuardrailSummary]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.22 - GuardrailsForTargetSummary

NameDescriptionSchemaDefault
created_at
required
생성 시간
Example : 2025-01-01T00:00:00.000Z
string (date-time)
created_by
required
생성자
Example : c23fb561c689455993874fa5d5ed4a2f
string
guidance
required
정책 가이드
Example : MANDATORY
string
id
required
ID
Example : 0a36e0746dbf4908acf0357829701381
string
link_types
required
연결 유형
Example : {'directed': [{'target_id': '1a2b3c4d5e6f7g8h9i0j1k2l3m4n5', 'target_name': 'example-target'}], 'inherited': [{'target_id': '2a2b3c4d5e6f7g8h9i0j1k2l3m4n5', 'target_name': 'root'}]}
object[array[GuardrailLinkInfo]]
modified_at
required
수정 시간
Example : 2025-01-01T00:00:00.000Z
string (date-time)
modified_by
required
수정자
Example : c23fb561c689455993874fa5d5ed4a2f
string
name
required
가드레일명
Example : foo-guardrail
string
service_name
required
Organization
Example : iam
string
type
required
가드레일 유형
Example : PREVENTIVE
string

2.23 - GuardrailShowResponse

NameDescriptionSchemaDefault
guardrail
required

Guardrail

2.24 - GuardrailSummary

NameDescriptionSchemaDefault
binding_ous
optional

any of [array[GuardrailBindingOu], array[object], null]
created_at
required
생성 시간
Example : 2025-01-01T00:00:00.000Z
string (date-time)
created_by
required
생성자
Example : c23fb561c689455993874fa5d5ed4a2f
string
description
optional
가드레일 설명
Example : This is an example guardrail.
any of [string, null]
guidance
required
정책 가이드
Example : MANDATORY
string
id
required
가드레일 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
modified_at
required
수정 시간
Example : 2025-01-01T00:00:00.000Z
string (date-time)
modified_by
required
수정자
Example : c23fb561c689455993874fa5d5ed4a2f
string
name
required
가드레일명
Example : foo-guardrail
string
service_name
required
Organization
Example : iam
string
srn
optional
가드레일 SRN
Example : srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]
status
optional
적용 상태
Example : DISABLED
stringDISABLED
type
required
가드레일 유형
Example : PREVENTIVE
string

2.25 - LandingZone

NameDescriptionSchemaDefault
agree_yn
required
약관 동의 여부
Example : Y
string
created_at
required
생성 시간
Example : 2025-01-01T00:00:00.000Z
string (date-time)
created_by
required
생성자
Example : c23fb561c689455993874fa5d5ed4a2f
string
creator_name
optional
생성자 이름
Example : John Doe na
string-
id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
identity_center_id
optional
Identity Center ID
Example : 0xnw6g1xh2q5
any of [string, null]
modified_at
required
수정 시간
Example : 2025-01-01T00:00:00.000Z
string (date-time)
modified_by
required
수정자
Example : c23fb561c689455993874fa5d5ed4a2f
string
modifier_name
optional
수정자 이름
Example : Alice
string-
organization_id
required
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
string
region
required
리전
Example : kr-west1
string
service_name
required
서비스명
Example : Cloud Control
string
srn
required
랜딩 존 SRN
Example : srn:dev2::a8a2f3c2659646ecaaf28fc8f783921a:::cloudcontrol:landingzone/f7a1ef0b17e34a37811cc2fa7a6bd50b
string
sso_type
required
Account 액세스 구성
Example : ID_CENTER
string
status
required
상태
Example : ACTIVE
string
version_id
required
랜딩 존 버전
Example : 1.0
string

2.26 - LandingZoneCreateRequest

NameDescriptionSchemaDefault
additional_ou_name
required
추가 조직 단위명
Example : Sandbox
Minimum length : 1
Maximum length : 128
string
agree_yn
required
약관 동의 여부
Example : Y
enum (Y, N)
audit_account_name
required
감사 계정명
Example : AUDIT
Pattern : ^[a-zA-Z0-9ㄱ-ㅎㅏ-ㅣ가-힣 \+=_\-@\[\]\(\)\.,]*$
Minimum length : 3
Maximum length : 30
string
audit_login_id
required
로그인 ID
Example : audit@samsung.com
Maximum length : 60
string (email)
basic_ou_name
required
기본 조직 단위명
Example : Security
Minimum length : 1
Maximum length : 128
string
log_archive_account_name
required
로그 아카이브 계정명
Example : LOG_ARCHIVE
Pattern : ^[a-zA-Z0-9ㄱ-ㅎㅏ-ㅣ가-힣 \+=_\-@\[\]\(\)\.,]*$
Minimum length : 3
Maximum length : 30
string
log_archive_login_id
required
로그인 ID
Example : log-archive@samsung.com
Maximum length : 60
string (email)
sso_type
required
Account 액세스 구성
Example : ID_CENTER
enum (ID_CENTER, SELF)

2.27 - LandingZoneCreateRequestV1Dot1

NameDescriptionSchemaDefault
additional_ou_name
required
추가 조직 단위명
Example : Sandbox
Minimum length : 1
Maximum length : 128
string
agree_yn
required
약관 동의 여부
Example : Y
enum (Y, N)
audit_account_name
required
감사 계정명
Example : AUDIT
Pattern : ^[a-zA-Z0-9ㄱ-ㅎㅏ-ㅣ가-힣 \+=_\-@\[\]\(\)\.,]*$
Minimum length : 3
Maximum length : 30
string
audit_login_id
required
로그인 ID
Example : audit@samsung.com
Maximum length : 60
string (email)
basic_ou_name
required
기본 조직 단위명
Example : Security
Minimum length : 1
Maximum length : 128
string
detective_guardrail_status
required
탐지 가드레일 상태
Example : ENABLED
enum (ENABLED, DISABLED, ENABLING, DISABLING)
log_archive_account_name
required
로그 아카이브 계정명
Example : LOG_ARCHIVE
Pattern : ^[a-zA-Z0-9ㄱ-ㅎㅏ-ㅣ가-힣 \+=_\-@\[\]\(\)\.,]*$
Minimum length : 3
Maximum length : 30
string
log_archive_login_id
required
로그인 ID
Example : log-archive@samsung.com
Maximum length : 60
string (email)
sso_type
required
Account 액세스 구성
Example : ID_CENTER
enum (ID_CENTER, SELF)

2.28 - LandingZoneCreateResponse

NameDescriptionSchemaDefault
job_id
required
ID
Example : 0a36e0746dbf4908acf0357829701381
string
landing_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string

2.29 - LandingZoneShowResponse

NameDescriptionSchemaDefault
landing_zone
required

LandingZone

2.30 - LandingZoneShowResponseV1Dot1

NameDescriptionSchemaDefault
landing_zone
required

LandingZoneV1Dot1

2.31 - LandingZoneUpdateRequest

NameDescriptionSchemaDefault
detective_guardrail_status
required
탐지 가드레일 상태
Example : ENABLED
string

2.32 - LandingZoneV1Dot1

NameDescriptionSchemaDefault
agree_yn
required
약관 동의 여부
Example : Y
string
created_at
required
생성 시간
Example : 2025-01-01T00:00:00.000Z
string (date-time)
created_by
required
생성자
Example : c23fb561c689455993874fa5d5ed4a2f
string
creator_name
optional
생성자 이름
Example : John Doe na
string-
detective_guardrail_status
required
탐지 가드레일 상태
Example : ENABLED
enum (ENABLED, DISABLED, ENABLING, DISABLING)
id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
identity_center_id
optional
Identity Center ID
Example : 0xnw6g1xh2q5
any of [string, null]
modified_at
required
수정 시간
Example : 2025-01-01T00:00:00.000Z
string (date-time)
modified_by
required
수정자
Example : c23fb561c689455993874fa5d5ed4a2f
string
modifier_name
optional
수정자 이름
Example : Alice
string-
organization_id
required
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
string
region
required
리전
Example : kr-west1
string
service_name
required
서비스명
Example : Cloud Control
string
srn
required
랜딩 존 SRN
Example : srn:dev2::a8a2f3c2659646ecaaf28fc8f783921a:::cloudcontrol:landingzone/f7a1ef0b17e34a37811cc2fa7a6bd50b
string
sso_type
required
Account 액세스 구성
Example : ID_CENTER
string
status
required
상태
Example : ACTIVE
string
version_id
required
랜딩 존 버전
Example : 1.0
string

2.33 - ListGuardrailsForTargetResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
guardrails
required

array[GuardrailsForTargetSummary]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.34 - ListTargetsForGuardrailResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]
targets
required

any of [array[AccountsForGuardrail], array[OrganizationUnitsForGuardrail]]

2.35 - OrganizationUnitsForGuardrail

NameDescriptionSchemaDefault
id
required
조직 단위 ID
Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
string
name
required
조직 단위명
Example : score-organization-unit
string
parent_unit_id
optional
ROOT 또는 부모 조직 단위 ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
any of [string, null]
parent_unit_name
optional
ROOT 또는 부모 조직 단위명
Example : parent-unit-name
any of [string, null]